NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::QuickQuotationBuilder Class Reference

Progressive Die Wizard builder to create quick quotation. More...

Inheritance diagram for NXOpen::Tooling::QuickQuotationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DesignTypes { DesignTypesNewDesign, DesignTypesChangeover, DesignTypesAdditionalDie }
 Specify the design type. More...
 
enum  InsertGroupMaterials { InsertGroupMaterialsCr12, InsertGroupMaterialsCr12MoV }
 Specify the insert group material. More...
 
enum  ManageTemporaryObjectsTypes { ManageTemporaryObjectsTypesHide, ManageTemporaryObjectsTypesDisplay, ManageTemporaryObjectsTypesDelete }
 Specify the management type for the temporary objects. More...
 
enum  ObjectTypes {
  ObjectTypesPiercing, ObjectTypesBending, ObjectTypesForming, ObjectTypesBurring,
  ObjectTypesCam
}
 Specify the concept sheet body type. More...
 
enum  Types {
  TypesJobInformation, TypesProjectDefinition, TypesConceptDesign, TypesGrouping,
  TypesQuoting
}
 Specify the operation type. More...
 

Public Member Functions

NXOpen::NXColorBendingColor ()
 Returns the bending color. More...
 
double BlankSize ()
 Returns the blank size. More...
 
NXOpen::NXColorBurringColor ()
 Returns the burring color. More...
 
NXOpen::NXColorCamunitColor ()
 Returns the cam unit color. More...
 
double CompFactor ()
 Returns the complexity factor. More...
 
NXString Customer ()
 Returns the customer. More...
 
void DatumPlane ()
 Create a datum plane. More...
 
double DesignHours ()
 Returns the design hours. More...
 
double DesignPrice ()
 Returns the work area width. More...
 
double DistanceX ()
 Returns the distance between sub die base and die base edge in X direction. More...
 
double DistanceY ()
 Returns the distance between sub die base and die base edge in Y direction. More...
 
NXOpen::NXColorFormingColor ()
 Returns the forming color. More...
 
NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials InsertGroupMaterial ()
 Returns the insert group material. More...
 
NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes ManageTemporaryObjectsType ()
 Returns the management type for temporary objects. More...
 
NXString MaterialUtil ()
 Returns the material utilization. More...
 
NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes ObjectType ()
 Returns the object type. More...
 
double OutlineEnlargeTimes ()
 Returns the outline enlarge times. More...
 
int PartNo ()
 Returns the part no. More...
 
int PartsAmout ()
 Returns the parts amount. More...
 
NXOpen::NXColorPiercingColor ()
 Returns the piercing color. More...
 
double Pitch ()
 Returns the pitch. More...
 
NXString QuoteDate ()
 Returns the quote date. More...
 
NXString QuoteNo ()
 Returns the quote no. More...
 
NXString Quoter ()
 Returns the quoter. More...
 
NXOpen::SectionSelOutline ()
 Returns the selected outline. More...
 
NXOpen::SelectBodyListSelSheetBody ()
 Returns the selected sheet body. More...
 
void SetBendingColor (NXOpen::NXColor *specifyColor)
 Sets the bending color. More...
 
void SetBlankSize (double blankSize)
 Sets the blank size. More...
 
void SetBurringColor (NXOpen::NXColor *specifyColor)
 Sets the burring color. More...
 
void SetCamunitColor (NXOpen::NXColor *specifyColor)
 Sets the cam unit color. More...
 
void SetCompFactor (double compFactor)
 Sets the complexity factor. More...
 
void SetCustomer (const NXString &customer)
 Sets the customer. More...
 
void SetCustomer (const char *customer)
 Sets the customer. More...
 
void SetDesignHours (double designHours)
 Sets the design hours. More...
 
void SetDesignPrice (double designPrice)
 Sets the work area width. More...
 
void SetDistanceX (double distanceX)
 Sets the distance between sub die base and die base edge in X direction. More...
 
void SetDistanceY (double distanceY)
 Sets the distance between sub die base and die base edge in Y direction. More...
 
void SetFormingColor (NXOpen::NXColor *specifyColor)
 Sets the forming color. More...
 
void SetInsertGroupMaterial (NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials insertGroupMaterial)
 Sets the insert group material. More...
 
void SetManageTemporaryObjectsType (NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes manageTemporaryObjectsType)
 Sets the management type for temporary objects. More...
 
void SetMaterialUtil (const NXString &materialUtil)
 Sets the material utilization. More...
 
void SetMaterialUtil (const char *materialUtil)
 Sets the material utilization. More...
 
void SetObjectType (NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes objectType)
 Sets the object type. More...
 
void SetOutlineEnlargeTimes (double outlineEnlargeTimes)
 Sets the outline enlarge times. More...
 
void SetPartNo (int partNo)
 Sets the part no. More...
 
void SetPartsAmout (int partsAmout)
 Sets the parts amount. More...
 
void SetPiercingColor (NXOpen::NXColor *specifyColor)
 Sets the piercing color. More...
 
void SetPitch (double pitch)
 Sets the pitch. More...
 
void SetQuoteDate (const NXString &quoteDate)
 Sets the quote date. More...
 
void SetQuoteDate (const char *quoteDate)
 Sets the quote date. More...
 
void SetQuoteNo (const NXString &quoteNo)
 Sets the quote no. More...
 
void SetQuoteNo (const char *quoteNo)
 Sets the quote no. More...
 
void SetQuoter (const NXString &quoter)
 Sets the quoter. More...
 
void SetQuoter (const char *quoter)
 Sets the quoter. More...
 
void SetStationsNo (int stationsNo)
 Sets the stations no. More...
 
void SetStripLength (double stripLength)
 Sets the strip length. More...
 
void SetStripMaterial (const NXString &stripMaterial)
 Sets the strip material. More...
 
void SetStripMaterial (const char *stripMaterial)
 Sets the strip material. More...
 
void SetStripThickness (double stripThickness)
 Sets the strip thickness. More...
 
void SetType (NXOpen::Tooling::QuickQuotationBuilder::Types type)
 Sets the operation type. More...
 
void SetWidth (double width)
 Sets the width. More...
 
void SetWorkAreaLength (double workAreaLength)
 Sets the work area length. More...
 
void SetWorkAreaWidth (double workAreaWidth)
 Sets the work area width. More...
 
int StationsNo ()
 Returns the stations no. More...
 
double StripLength ()
 Returns the strip length. More...
 
NXString StripMaterial ()
 Returns the strip material. More...
 
double StripThickness ()
 Returns the strip thickness. More...
 
void TemplateConfig ()
 The template configuration. More...
 
NXOpen::Tooling::QuickQuotationBuilder::Types Type ()
 Returns the operation type. More...
 
double Width ()
 Returns the width. More...
 
double WorkAreaLength ()
 Returns the work area length. More...
 
double WorkAreaWidth ()
 Returns the work area width. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Progressive Die Wizard builder to create quick quotation.


To create a new instance of this class, use NXOpen::Tooling::QuickQuotationCollection::CreateQuickQuotationBuilder
Default values.

Property Value

BendingColor

120

BurringColor

29

CamunitColor

58

CompFactor

1

FormingColor

152

InsertGroupMaterial

Cr12

ManageTemporaryObjectsType

Hide

ObjectType

Piercing

OutlineEnlargeTimes

1

PartNo

0

PartsAmout

0

PiercingColor

97

Pitch

0

StationsNo

0

StripLength

0

StripThickness

0

Width

0

WorkAreaLength

0

WorkAreaWidth

0


Created in NX8.0.0.

Member Enumeration Documentation

Specify the design type.

Enumerator
DesignTypesNewDesign 

the design is a new design

DesignTypesChangeover 

the design is a changeover

DesignTypesAdditionalDie 

The design is a additional die.

Specify the insert group material.

Enumerator
InsertGroupMaterialsCr12 

insert group material is Cr12

InsertGroupMaterialsCr12MoV 

insert group material is Cr12MoV

Specify the management type for the temporary objects.

Enumerator
ManageTemporaryObjectsTypesHide 

hide

ManageTemporaryObjectsTypesDisplay 

display

ManageTemporaryObjectsTypesDelete 

delete

Specify the concept sheet body type.

Enumerator
ObjectTypesPiercing 

sheet body type is piercing

ObjectTypesBending 

sheet body type is piercing

ObjectTypesForming 

sheet body is forming

ObjectTypesBurring 

sheet body is burring

ObjectTypesCam 

sheet body is camunits.

Specify the operation type.

Enumerator
TypesJobInformation 

job information type

TypesProjectDefinition 

project definition type

TypesConceptDesign 

concept design type

TypesGrouping 

grouping type

TypesQuoting 

quoting type

Member Function Documentation

NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::BendingColor ( )

Returns the bending color.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::BlankSize ( )

Returns the blank size.


Created in NX8.0.0.

License requirements : None

NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::BurringColor ( )

Returns the burring color.


Created in NX8.0.0.

License requirements : None

NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::CamunitColor ( )

Returns the cam unit color.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::CompFactor ( )

Returns the complexity factor.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Tooling::QuickQuotationBuilder::Customer ( )

Returns the customer.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::QuickQuotationBuilder::DatumPlane ( )

Create a datum plane.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::DesignHours ( )

Returns the design hours.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::DesignPrice ( )

Returns the work area width.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::DistanceX ( )

Returns the distance between sub die base and die base edge in X direction.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::DistanceY ( )

Returns the distance between sub die base and die base edge in Y direction.


Created in NX8.0.0.

License requirements : None

NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::FormingColor ( )

Returns the forming color.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterial ( )

Returns the insert group material.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsType ( )

Returns the management type for temporary objects.


Created in NX9.0.0.

License requirements : None

NXString NXOpen::Tooling::QuickQuotationBuilder::MaterialUtil ( )

Returns the material utilization.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes NXOpen::Tooling::QuickQuotationBuilder::ObjectType ( )

Returns the object type.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::OutlineEnlargeTimes ( )

Returns the outline enlarge times.


Created in NX8.0.0.

License requirements : None

int NXOpen::Tooling::QuickQuotationBuilder::PartNo ( )

Returns the part no.


Created in NX8.0.0.

License requirements : None

int NXOpen::Tooling::QuickQuotationBuilder::PartsAmout ( )

Returns the parts amount.


Created in NX8.0.0.

License requirements : None

NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::PiercingColor ( )

Returns the piercing color.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::Pitch ( )

Returns the pitch.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Tooling::QuickQuotationBuilder::QuoteDate ( )

Returns the quote date.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Tooling::QuickQuotationBuilder::QuoteNo ( )

Returns the quote no.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Tooling::QuickQuotationBuilder::Quoter ( )

Returns the quoter.


Created in NX8.0.0.

License requirements : None

NXOpen::Section* NXOpen::Tooling::QuickQuotationBuilder::SelOutline ( )

Returns the selected outline.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectBodyList* NXOpen::Tooling::QuickQuotationBuilder::SelSheetBody ( )

Returns the selected sheet body.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::QuickQuotationBuilder::SetBendingColor ( NXOpen::NXColor specifyColor)

Sets the bending color.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
specifyColorspecifycolor
void NXOpen::Tooling::QuickQuotationBuilder::SetBlankSize ( double  blankSize)

Sets the blank size.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
blankSizeblanksize
void NXOpen::Tooling::QuickQuotationBuilder::SetBurringColor ( NXOpen::NXColor specifyColor)

Sets the burring color.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
specifyColorspecifycolor
void NXOpen::Tooling::QuickQuotationBuilder::SetCamunitColor ( NXOpen::NXColor specifyColor)

Sets the cam unit color.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
specifyColorspecifycolor
void NXOpen::Tooling::QuickQuotationBuilder::SetCompFactor ( double  compFactor)

Sets the complexity factor.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
compFactorcompfactor
void NXOpen::Tooling::QuickQuotationBuilder::SetCustomer ( const NXString customer)

Sets the customer.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
customercustomer
void NXOpen::Tooling::QuickQuotationBuilder::SetCustomer ( const char *  customer)

Sets the customer.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
customercustomer
void NXOpen::Tooling::QuickQuotationBuilder::SetDesignHours ( double  designHours)

Sets the design hours.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
designHoursdesignhours
void NXOpen::Tooling::QuickQuotationBuilder::SetDesignPrice ( double  designPrice)

Sets the work area width.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
designPricedesignprice
void NXOpen::Tooling::QuickQuotationBuilder::SetDistanceX ( double  distanceX)

Sets the distance between sub die base and die base edge in X direction.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
distanceXdistancex
void NXOpen::Tooling::QuickQuotationBuilder::SetDistanceY ( double  distanceY)

Sets the distance between sub die base and die base edge in Y direction.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
distanceYdistancey
void NXOpen::Tooling::QuickQuotationBuilder::SetFormingColor ( NXOpen::NXColor specifyColor)

Sets the forming color.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
specifyColorspecifycolor
void NXOpen::Tooling::QuickQuotationBuilder::SetInsertGroupMaterial ( NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials  insertGroupMaterial)

Sets the insert group material.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
insertGroupMaterialinsertgroupmaterial
void NXOpen::Tooling::QuickQuotationBuilder::SetManageTemporaryObjectsType ( NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes  manageTemporaryObjectsType)

Sets the management type for temporary objects.


Created in NX9.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
manageTemporaryObjectsTypemanagetemporaryobjectstype
void NXOpen::Tooling::QuickQuotationBuilder::SetMaterialUtil ( const NXString materialUtil)

Sets the material utilization.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
materialUtilmaterialutil
void NXOpen::Tooling::QuickQuotationBuilder::SetMaterialUtil ( const char *  materialUtil)

Sets the material utilization.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
materialUtilmaterialutil
void NXOpen::Tooling::QuickQuotationBuilder::SetObjectType ( NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes  objectType)

Sets the object type.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
objectTypeobjecttype
void NXOpen::Tooling::QuickQuotationBuilder::SetOutlineEnlargeTimes ( double  outlineEnlargeTimes)

Sets the outline enlarge times.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
outlineEnlargeTimesoutlineenlargetimes
void NXOpen::Tooling::QuickQuotationBuilder::SetPartNo ( int  partNo)

Sets the part no.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
partNopartno
void NXOpen::Tooling::QuickQuotationBuilder::SetPartsAmout ( int  partsAmout)

Sets the parts amount.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
partsAmoutpartsamout
void NXOpen::Tooling::QuickQuotationBuilder::SetPiercingColor ( NXOpen::NXColor specifyColor)

Sets the piercing color.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
specifyColorspecifycolor
void NXOpen::Tooling::QuickQuotationBuilder::SetPitch ( double  pitch)

Sets the pitch.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
pitchpitch
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteDate ( const NXString quoteDate)

Sets the quote date.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
quoteDatequotedate
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteDate ( const char *  quoteDate)

Sets the quote date.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
quoteDatequotedate
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteNo ( const NXString quoteNo)

Sets the quote no.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
quoteNoquoteno
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteNo ( const char *  quoteNo)

Sets the quote no.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
quoteNoquoteno
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoter ( const NXString quoter)

Sets the quoter.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
quoterquoter
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoter ( const char *  quoter)

Sets the quoter.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
quoterquoter
void NXOpen::Tooling::QuickQuotationBuilder::SetStationsNo ( int  stationsNo)

Sets the stations no.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
stationsNostationsno
void NXOpen::Tooling::QuickQuotationBuilder::SetStripLength ( double  stripLength)

Sets the strip length.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
stripLengthstriplength
void NXOpen::Tooling::QuickQuotationBuilder::SetStripMaterial ( const NXString stripMaterial)

Sets the strip material.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
stripMaterialstripmaterial
void NXOpen::Tooling::QuickQuotationBuilder::SetStripMaterial ( const char *  stripMaterial)

Sets the strip material.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
stripMaterialstripmaterial
void NXOpen::Tooling::QuickQuotationBuilder::SetStripThickness ( double  stripThickness)

Sets the strip thickness.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
stripThicknessstripthickness
void NXOpen::Tooling::QuickQuotationBuilder::SetType ( NXOpen::Tooling::QuickQuotationBuilder::Types  type)

Sets the operation type.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
typetype
void NXOpen::Tooling::QuickQuotationBuilder::SetWidth ( double  width)

Sets the width.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
widthwidth
void NXOpen::Tooling::QuickQuotationBuilder::SetWorkAreaLength ( double  workAreaLength)

Sets the work area length.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
workAreaLengthworkarealength
void NXOpen::Tooling::QuickQuotationBuilder::SetWorkAreaWidth ( double  workAreaWidth)

Sets the work area width.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")

Parameters
workAreaWidthworkareawidth
int NXOpen::Tooling::QuickQuotationBuilder::StationsNo ( )

Returns the stations no.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::StripLength ( )

Returns the strip length.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Tooling::QuickQuotationBuilder::StripMaterial ( )

Returns the strip material.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::StripThickness ( )

Returns the strip thickness.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::QuickQuotationBuilder::TemplateConfig ( )

The template configuration.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::QuickQuotationBuilder::Types NXOpen::Tooling::QuickQuotationBuilder::Type ( )

Returns the operation type.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::Width ( )

Returns the width.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::WorkAreaLength ( )

Returns the work area length.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::QuickQuotationBuilder::WorkAreaWidth ( )

Returns the work area width.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.